Package org.codehaus.janino.util

# Class ClassFile.LocalVariableTableAttribute.Entry

java.lang.Object
org.codehaus.janino.util.ClassFile.LocalVariableTableAttribute.Entry

Enclosing class:
  `ClassFile.LocalVariableTableAttribute`

public static class ClassFile.LocalVariableTableAttribute.Entry extends Object
The structure of the entries in the `local_variable_table`, as described in JVMS7 4.7.13.

## Field Summary

Fields
Modifier and Type
Field
Description
`final short`
`descriptorIndex`
The fields of the entries in the `local_variable_table`, as described in JVMS7 4.7.13.
`final short`
`index`
The fields of the entries in the `local_variable_table`, as described in JVMS7 4.7.13.
`final short`
`length`
The fields of the entries in the `local_variable_table`, as described in JVMS7 4.7.13.
`final short`
`nameIndex`
The fields of the entries in the `local_variable_table`, as described in JVMS7 4.7.13.
`final short`
`startPc`
The fields of the entries in the `local_variable_table`, as described in JVMS7 4.7.13.

## Constructor Summary

Constructors
Constructor
Description
`Entry(short startPc, short length, short nameIndex, short descriptorIndex, short index)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### startPc

public final short startPc
The fields of the entries in the `local_variable_table`, as described in JVMS7 4.7.13.

### length

public final short length
The fields of the entries in the `local_variable_table`, as described in JVMS7 4.7.13.

### nameIndex

public final short nameIndex
The fields of the entries in the `local_variable_table`, as described in JVMS7 4.7.13.

### descriptorIndex

public final short descriptorIndex
The fields of the entries in the `local_variable_table`, as described in JVMS7 4.7.13.

### index

public final short index
The fields of the entries in the `local_variable_table`, as described in JVMS7 4.7.13.

## Constructor Details

### Entry

public Entry(short startPc, short length, short nameIndex, short descriptorIndex, short index)